import React from 'react'
import { Avatar, makeStyles } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  small: {
    width: 20,
    height: 20,
    fontSize: 14,
    marginLeft: 2
  },
  medium: {
    width: 35,
    height: 35,
    fontSize: 16,
    paddingTop: 2
  }
}))

export const AvatarAlphabet = (props) => {
  let letter = ''
  const { avatarCharacter, size } = props
  const classes = useStyles()

  switch (avatarCharacter) {
    case 'A':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#FFB900' }}
        >
          A
        </Avatar>
      )
      break
    case 'B':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#E74856' }}
        >
          B
        </Avatar>
      )
      break
    case 'C':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#0078D7' }}
        >
          C
        </Avatar>
      )
      break
    case 'D':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#0099BC' }}
        >
          D
        </Avatar>
      )
      break
    case 'E':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#7A7574' }}
        >
          E
        </Avatar>
      )
      break
    case 'F':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#767676' }}
        >
          F
        </Avatar>
      )
      break
    case 'G':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#FF8C00' }}
        >
          G
        </Avatar>
      )
      break
    case 'H':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#E81123' }}
        >
          H
        </Avatar>
      )
      break
    case 'I':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#0063B1' }}
        >
          I
        </Avatar>
      )
      break
    case 'J':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#2D7D9A' }}
        >
          J
        </Avatar>
      )
      break
    case 'K':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#5D5A58' }}
        >
          K
        </Avatar>
      )
      break
    case 'L':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#4C4A48' }}
        >
          L
        </Avatar>
      )
      break
    case 'M':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#F7630C' }}
        >
          M
        </Avatar>
      )
      break
    case 'N':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#EA005E' }}
        >
          N
        </Avatar>
      )
      break
    case 'O':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#8E8CD8' }}
        >
          O
        </Avatar>
      )
      break
    case 'P':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#00B7C3' }}
        >
          P
        </Avatar>
      )
      break
    case 'Q':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#68768A' }}
        >
          Q
        </Avatar>
      )
      break
    case 'R':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#69797E' }}
        >
          R
        </Avatar>
      )
      break
    case 'S':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#CA5010' }}
        >
          S
        </Avatar>
      )
      break
    case 'T':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#C30052' }}
        >
          T
        </Avatar>
      )
      break
    case 'U':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: 'FF4343' }}
        >
          U
        </Avatar>
      )
      break
    case 'V':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#9A0089' }}
        >
          V
        </Avatar>
      )
      break
    case 'W':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#10893E' }}
        >
          W
        </Avatar>
      )
      break
    case 'X':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#567C73' }}
        >
          X
        </Avatar>
      )
      break
    case 'Y':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#018574' }}
        >
          Y
        </Avatar>
      )
      break
    case 'Z':
      letter = (
        <Avatar
          className={size === 'small' ? classes.small : classes.medium}
          style={{ backgroundColor: '#881798' }}
        >
          Z
        </Avatar>
      )
      break
    default:
  }

  return letter
}
