import React from 'react'
import { Chip, lighten } from '@material-ui/core'
import { AvatarAlphabet } from './AvatarAlphabet'

export const ChipAlphabet = ({ avatarCharacter, label, handleClick }) => {
  let letter = ''
  const highlight = 0.8

  switch (avatarCharacter) {
    case 'A':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#FFB900', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'B':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#E74856', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'C':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#0078D7', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'D':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#0099BC', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'E':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#7A7574', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'F':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#0078D7', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'G':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#FF8C00', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'H':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#E81123', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'I':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#0063B1', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
        />
      )
      break
    case 'J':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#2D7D9A', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'K':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#5D5A58', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'L':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#4C4A48', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'M':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#F7630C', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'N':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#EA005E', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'O':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#8E8CD8', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'P':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#00B7C3', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'Q':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#68768A', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'R':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#69797E', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'S':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#CA5010', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'T':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#C30052', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'U':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('FF4343', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'V':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#9A0089', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'W':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#10893E', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'X':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#567C73', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'Y':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#018574', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break
    case 'Z':
      letter = (
        <Chip
          style={{ backgroundColor: lighten('#881798', highlight) }}
          label={label}
          size='small'
          avatar={
            <AvatarAlphabet size='small' avatarCharacter={avatarCharacter} />
          }
          onClick={handleClick}
          clickable
        />
      )
      break

    default:
  }

  return letter
}
