import React from 'react'
import { makeStyles, Typography, Divider } from '@material-ui/core'
import { StatusChip } from 'unity-fluent-library-demo'
import clsx from 'clsx'

const useStyles = makeStyles((theme) => ({
  root: {},
  wrapper: {
    display: 'flex',
    flexDirection: 'row',
    padding: theme.spacing(1),
    lineHeight: 2
  },
  value: {
    flex: 1
  }
}))

export const FluentListElement = ({ subject, value, className, status }) => {
  const classes = useStyles()

  return (
    <div className={clsx(classes.root, className)}>
      <div className={classes.wrapper}>
        <Typography className={classes.value} variant='body2'>
          {subject}:
        </Typography>
        {status && <StatusChip status={status} label={value} />}
        {!status && (
          <Typography variant='body2'>
            <strong>{value}</strong>
          </Typography>
        )}
      </div>

      <Divider />
    </div>
  )
}
