import React from 'react'
import { Chip, lighten, useTheme } from '@material-ui/core'

export const StatusChip = ({
  status,
  label,
  success,
  warning,
  error,
  info
}) => {
  let type = ''
  const highlight = 0.8

  const theme = useTheme()

  switch (status) {
    case !success ? 'success' : success:
      type = (
        <Chip
          style={{
            backgroundColor: lighten(theme.palette.success.main, highlight)
          }}
          label={label}
          size='small'
        />
      )
      break
    case !warning ? 'warning' : warning:
      type = (
        <Chip
          style={{
            backgroundColor: lighten(theme.palette.warning.main, highlight)
          }}
          label={label}
          size='small'
        />
      )
      break
    case !error ? 'error' : error:
      type = (
        <Chip
          style={{
            backgroundColor: lighten(theme.palette.error.main, highlight)
          }}
          label={label}
          size='small'
        />
      )
      break
    case !info ? 'info' : info:
      type = (
        <Chip
          style={{
            backgroundColor: lighten(theme.palette.info.main, highlight)
          }}
          label={label}
          size='small'
        />
      )
      break

    default:
  }

  return type
}
