import React from 'react'
import { makeStyles } from '@material-ui/core'
import { DirectoryListItem } from './DirectoryListItem'
import { StatusChip } from '../StatusChip'

const useStyles = makeStyles((theme) => ({
  root: {}
}))

export const Directory = ({
  data,
  success,
  warning,
  error,
  info,
  key,
  statusKey
}) => {
  const classes = useStyles()

  const dataTransform = data.reduce((r, e) => {
    const alphabet = e.name[0]
    if (!r[alphabet]) r[alphabet] = { alphabet, record: [e] }
    else r[alphabet].record.push(e)
    return r
  }, {})

  const result = Object.values(dataTransform)

  return (
    <div className={classes.root}>
      {result.map((item) => {
        return (
          <DirectoryListItem key={key} letter={item.alphabet}>
            {item.record.map((item) => {
              return (
                <div style={{ marginBottom: 8 }} key={statusKey}>
                  <StatusChip
                    success={success}
                    warning={warning}
                    error={error}
                    info={info}
                    label={item.name}
                    status={item.status}
                  />
                </div>
              )
            })}
          </DirectoryListItem>
        )
      })}
    </div>
  )
}
