import React from 'react'
import { makeStyles, Typography, Divider } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  divider: {
    marginTop: theme.spacing(1)
  },
  content: {
    marginLeft: theme.spacing(4)
  }
}))

export const DirectoryListItem = ({ children, letter }) => {
  const classes = useStyles()

  return (
    <div className={classes.root}>
      <div>
        <Typography variant='h4'>{letter}</Typography>
      </div>
      <div className={classes.content}>
        {children}
        <div>
          <Divider className={classes.divider} />
        </div>
      </div>
    </div>
  )
}
