import React from 'react'
import { makeStyles } from '@material-ui/core'
import { Note } from './Note'

export const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    flexDirection: 'column',
    alignContent: 'space-around'
  }
}))

export const Notes = ({ data, key, handleClick }) => {
  const classes = useStyles()

  return (
    <div className={classes.root}>
      {data &&
        data.map((item) => {
          return (
            <div style={{ marginBottom: 20 }} key={key}>
              <Note
                author={item.author}
                date={item.date.toString()}
                onClick={() => handleClick(item.id)}
              >
                {item.note}
              </Note>
            </div>
          )
        })}
    </div>
  )
}
