import React from 'react'
import { makeStyles, Typography, lighten } from '@material-ui/core'
import clsx from 'clsx'

const useStyles = makeStyles((theme) => ({
  root: {
    fontWeight: 500
  },
  header: {
    fontSize: 18
  },
  subHeader: {
    fontSize: 14,
    color: lighten(theme.palette.common.black, 0.5)
  }
}))

export const FormHeader = (props) => {
  const { children } = props
  const classes = useStyles()
  return (
    <Typography className={clsx(classes.header, classes.root)}>
      {children}
    </Typography>
  )
}
export const FormSubHeader = (props) => {
  const { children } = props
  const classes = useStyles()
  return (
    <Typography className={clsx(classes.subHeader, classes.root)}>
      {children}
    </Typography>
  )
}
