import React from 'react'
import { makeStyles } from '@material-ui/core'
import { StandardTitle } from './StandardTitle'
import { FluentIconButton } from '../../inputs/buttons/FluentIconButton'
import { ChromeCloseIcon } from '@fluentui/react-icons'

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    flexDirection: 'row',
    padding: theme.spacing(2)
  },
  title: {
    flex: 1
  }
}))

export const SideSheetHeader = (props) => {
  const classes = useStyles()
  const { title, onClose } = props

  return (
    <div className={classes.root}>
      <StandardTitle className={classes.title}>{title}</StandardTitle>
      <FluentIconButton icon={ChromeCloseIcon} onClick={onClose} />
    </div>
  )
}
