import React from 'react'
import { makeStyles, Typography } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  root: {
    marginTop: theme.spacing(1),
    whiteSpace: 'nowrap',
    overflow: 'hidden',
    textOverflow: 'ellipsis'
  }
}))

export const StandardTitle = (props) => {
  const classes = useStyles()
  const { children, ...other } = props

  return (
    <Typography
      component='h2'
      variant='h6'
      gutterBottom
      className={classes.root}
      {...other}
    >
      {children}
    </Typography>
  )
}
