import React from 'react'
import { makeStyles } from '@material-ui/core'
import Button from '@material-ui/core/Button'

const useStyles = makeStyles((theme) => ({
  root: {
    borderRadius: 2,
    height: 32,
    padding: '0 16px',
    minWidth: 80,
    border: (props) => `1px solid ${props.color}`
  },
  label: {
    textTransform: 'capitalize',
    fontSize: '0.875rem',
    fontWeight: 600
  }
}))

export const FluentButton = (props) => {
  const classes = useStyles(props)
  const { children, ...otherProps } = props
  return (
    <Button
      {...otherProps}
      disableElevation
      classes={{
        root: classes.root,
        label: classes.label
      }}
      margin='dense'
    >
      {children}
    </Button>
  )
}
