import React from 'react'
import { makeStyles, Typography } from '@material-ui/core'
import Button from '@material-ui/core/Button'

const useStyles = makeStyles({
  root: {
    borderRadius: 2,
    minHeight: 72,
    padding: '0 16px',
    minWidth: 80,
    border: (props) => `1px solid ${props.color}`
  },
  label: {
    textTransform: 'capitalize',
    fontSize: '0.875rem',
    fontWeight: 600,
    textAlign: 'left'
  }
})

export const FluentCompoundButton = (props) => {
  const classes = useStyles(props)
  const { children, textSecondary, ...otherProps } = props
  return (
    <Button
      {...otherProps}
      disableElevation
      classes={{
        root: classes.root,
        label: classes.label
      }}
    >
      <div>
        <div>{children}</div>
        <div>
          <Typography variant='caption'>{textSecondary}</Typography>
        </div>
      </div>
    </Button>
  )
}
