import React from 'react'
import { makeStyles, IconButton } from '@material-ui/core'
import { FluentIcon } from '../../../utilities/FluentIcon'

const useStyles = makeStyles({
  root: {
    borderRadius: 2,
    width: 32,
    height: 32
  }
})

export const FluentIconButton = (props) => {
  const classes = useStyles(props)
  const { icon, ...otherProps } = props
  return (
    <IconButton
      {...otherProps}
      classes={{
        root: classes.root
      }}
    >
      <FluentIcon component={icon} size='medium' />
    </IconButton>
  )
}
