import React from 'react'
import { makeStyles } from '@material-ui/core/styles'
import { FluentButton } from 'unity-fluent-library-demo'

const useStyles = makeStyles((theme) => ({
  root: {
    '& > *': {
      margin: theme.spacing(1)
    }
  },
  input: {
    display: 'none'
  }
}))

export const FluentUploadButton = (props) => {
  const classes = useStyles()
  const { color, label, accept, id, onChange, onClick, variant } = props

  return (
    <div className={classes.root}>
      <input
        accept={accept}
        className={classes.input}
        id={id}
        multiple
        type='file'
        onChange={onChange}
      />
      <label htmlFor={id}>
        <FluentButton
          onClick={onClick}
          variant={variant}
          color={color}
          component='span'
        >
          {label}
        </FluentButton>
      </label>
      <input accept={accept} className={classes.input} id={id} type='file' />
    </div>
  )
}
