import React from 'react'
import { makeStyles } from '@material-ui/core/styles'
import { FluentIconButton } from 'unity-fluent-library-demo'

const useStyles = makeStyles((theme) => ({
  root: {
    '& > *': {
      margin: theme.spacing(1)
    }
  },
  input: {
    display: 'none'
  }
}))

export const FluentUploadIconButton = (props) => {
  const classes = useStyles()
  const { color, icon, aria, accept, id, onChange, onClick } = props

  return (
    <div className={classes.root}>
      <input
        accept={accept}
        className={classes.input}
        id={id}
        type='file'
        onChange={onChange}
      />
      <label htmlFor={id}>
        <FluentIconButton
          icon={icon}
          color={color}
          aria-label={aria}
          id={id}
          component='span'
          onClick={onClick}
        />
      </label>
      <input accept={accept} className={classes.input} id={id} type='file' />
    </div>
  )
}
