import React from 'react'
import { ButtonBase, makeStyles, Typography } from '@material-ui/core'

const useStyles = makeStyles(
  (theme) => ({
    root: {},

    wrapper: {
      display: 'flex',
      flexDirection: 'row',
      marginRight: theme.spacing(2)
    },
    icon: {
      fontSize: 16,
      width: 16,
      height: 16,
      color: theme.palette.secondary.main
    },
    label: {
      marginLeft: theme.spacing(1),
      fontSize: '0.875rem',
      '&:hover': { color: theme.palette.secondary.main }
    }
  }),
  { name: 'ToolBarButton' }
)

export const ToolBarButton = (props) => {
  const classes = useStyles()
  const { component: ToolBarComponent, click, label } = props

  return (
    <ButtonBase
      classes={{
        root: classes.root
        // label: classes.label
      }}
      className={classes.wrapper}
      onClick={click}
      disableRipple
    >
      <ToolBarComponent className={classes.icon} />
      <Typography variant='body2' className={classes.label}>
        {label}
      </Typography>
    </ButtonBase>
  )
}
