import React from 'react'
import { Checkbox, makeStyles } from '@material-ui/core'
import {
  CheckboxIcon,
  CheckboxCompositeReversedIcon
} from '@fluentui/react-icons'

const useStyles = makeStyles((theme) => ({
  box: {
    fontSize: 18,
    color: (props) =>
      props.primary ? theme.palette.primary.main : theme.palette.secondary.main
  }
}))

export const FluentCheckbox = (props, ...otherProps) => {
  const classes = useStyles(props)
  const { name, checked, onChange, aria } = props
  return (
    <Checkbox
      {...otherProps}
      name={name}
      icon={<CheckboxIcon className={classes.box} />}
      checkedIcon={<CheckboxCompositeReversedIcon className={classes.box} />}
      checked={checked}
      inputProps={{ 'aria-label': { aria } }}
      onChange={onChange}
    />
  )
}
