import React, { Fragment } from 'react'
import { makeStyles, MenuItem, TextField } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  textField: {
    marginLeft: theme.spacing(1),
    marginRight: theme.spacing(1)
  },
  dense: {
    marginTop: theme.spacing(1)
  },
  input: {
    borderRadius: 2,
    height: 32,
    padding: 0,
    marginTop: 3
  },
  formTextInput: {
    fontSize: 14
  },
  labelRoot: {
    fontSize: 14
  }
}))

export const FluentSelectMenu = ({ data, handleChange, label, id }) => {
  const classes = useStyles()

  return (
    <Fragment>
      <TextField
        id={id}
        select
        label={label}
        className={classes.textField}
        value={label}
        onChange={handleChange}
        size='small'
        InputProps={{
          classes: {
            root: classes.input,
            input: classes.formTextInput,
            label: classes.label
          }
        }}
        InputLabelProps={{
          shrink: false,
          classes: {
            root: classes.labelRoot,
            focused: classes.labelFocused
          }
        }}
        SelectProps={{
          MenuProps: {
            className: classes.menu
          }
        }}
        margin='normal'
        variant='outlined'
      >
        {data &&
          data.map((option) => (
            <MenuItem
              className={classes.labelRoot}
              key={option.value}
              value={option.value}
            >
              {option.label}
            </MenuItem>
          ))}
      </TextField>
    </Fragment>
  )
}
