import React from 'react'
import { makeStyles } from '@material-ui/core/styles'
import Grid from '@material-ui/core/Grid'
import Slider from '@material-ui/core/Slider'
import Input from '@material-ui/core/Input'
import { ZoomIcon } from '@fluentui/react-icons'

const useStyles = makeStyles({
  root: {
    width: 250
  },
  input: {
    width: 42
  }
})
// @todo: make icon a props, updated to fluent design specs
const FluentInputSlider = (props) => {
  const { value, handleSliderChange, handleInputChange, handleBlur } = props
  const classes = useStyles()

  return (
    <div className={classes.root}>
      <Grid container spacing={2} alignItems='center'>
        <Grid item>
          <ZoomIcon />
        </Grid>
        <Grid item xs>
          <Slider
            value={typeof value === 'number' ? value : 0}
            onChange={handleSliderChange}
            aria-labelledby='input-slider'
            step={1}
            marks
            min={0}
            max={20}
          />
        </Grid>
        <Grid item>
          <Input
            className={classes.input}
            value={value}
            margin='dense'
            onChange={handleInputChange}
            onBlur={handleBlur}
            inputProps={{
              step: 1,
              min: 0,
              max: 20,
              type: 'number',
              'aria-labelledby': 'input-slider'
            }}
          />
        </Grid>
      </Grid>
    </div>
  )
}
export default FluentInputSlider
