import React from 'react'
import { makeStyles, TextField } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  input: {
    borderRadius: 2,
    height: 32,
    padding: 0,
    marginTop: 3
  },
  formTextInput: {
    fontSize: 14
  },
  labelRoot: {
    fontSize: 14
  }
}))

export const FluentTextField = (props) => {
  const classes = useStyles(props)
  const { children, id, label, ...otherProps } = props
  return (
    <TextField
      {...otherProps}
      id={id}
      label={label}
      variant='outlined'
      size='small'
      margin='dense'
      InputProps={{
        classes: {
          root: classes.input,
          input: classes.formTextInput,
          label: classes.label
        }
      }}
      InputLabelProps={{
        shrink: false,
        classes: {
          root: classes.labelRoot,
          focused: classes.labelFocused
        }
      }}
    />
  )
}
