import React from 'react'
import { Switch, withStyles } from '@material-ui/core'

const FluentSwitch = withStyles((theme) => ({
  root: {
    width: 40,
    height: 20,
    padding: 0,
    display: 'flex'
  },
  switchBase: {
    padding: 4,
    color: theme.palette.grey[500],
    '&$checked': {
      transform: 'translateX(20px)',
      color: theme.palette.common.white,
      '& + $track': {
        opacity: 1,
        borderColor: theme.palette.primary.main
      }
    }
  },
  thumb: {
    width: 12,
    height: 12,
    boxShadow: 'none'
  },
  track: {
    border: `1px solid ${theme.palette.grey[500]}`,
    borderRadius: 20 / 2,
    opacity: 1,
    backgroundColor: theme.palette.common.white
  },
  checked: {}
}))(Switch)

export const FluentToggle = (props) => {
  const { name, onChange, checked, ...otherProps } = props

  return (
    <FluentSwitch
      {...otherProps}
      checked={checked}
      onChange={onChange}
      name={name}
    />
  )
}
