import React, { forwardRef } from 'react'
import { ListItem } from '@material-ui/core'
import { NavLink } from 'react-router-dom'

const ListItemLinkComponent = forwardRef((props, ref) => (
  <NavLink exact {...props} innerRef={ref} />
))
ListItemLinkComponent.displayName = 'ListItemLinkComponent'

export const AppMenuItemComponent = (props) => {
  const { link, params, isChild, ...other } = props

  // If link is not set return the ordinary ListItem
  if (!link || typeof link !== 'string') {
    return <ListItem button {...other} />
  }

  // Return a ListItem with a link component
  return (
    <ListItem
      button
      component={ListItemLinkComponent}
      to={{
        pathname: link,
        state: params
      }}
      {...other}
      onClick={undefined}
    />
  )
}
