import React from 'react'
import { Button, makeStyles, Divider } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  root: {
    padding: 0,
    justifyContent: 'left'
  },
  wrapper: {
    minWidth: 200,
    width: '100%'
  },
  item: {
    height: theme.spacing(1)
  },
  label: {
    textTransform: 'none'
  }
}))

export const FluentMenuListItem = ({ label, onClick, ...props }) => {
  const classes = useStyles()

  return (
    <div className={classes.wrapper}>
      <div className={classes.item} />
      <Button
        {...props}
        fullWidth
        classes={{ root: classes.root, label: classes.label }}
        onClick={onClick}
      >
        {label}
      </Button>
      <div className={classes.item} />
      <Divider />
    </div>
  )
}
