import React from 'react'
import { makeStyles, lighten } from '@material-ui/core'
import Tab from '@material-ui/core/Tab'

const useStyles = makeStyles((theme) => ({
  root: {
    textTransform: 'none',
    minWidth: 52,
    padding: 0,
    paddingLeft: theme.spacing(2),
    paddingRight: theme.spacing(8),
    fontWeight: theme.typography.fontWeightRegular,
    background: (props) =>
      props.block && lighten(theme.palette.primary.main, 0.7),
    zIndex: 9,
    borderRight: (props) => props.block && '1px solid rgb(179 177 177)',
    // marginRight: theme.spacing(2),

    '&:hover': {
      // background: (props) =>
      //   props.block ? theme.palette.secondary.main : "#f2f2f2",
      background: (props) =>
        props.block && lighten(theme.palette.primary.main, 0.6)

      // opacity: 1,
    },
    '&$selected': {
      // color: theme.palette.getContrastText(theme.palette.secondary.main),
      // fontWeight: theme.typography.fontWeightBold,
      // background: lighten(theme.palette.primary.main, 0.2),
    },
    '&:focus': {
      // color: (props) =>
      //   props.block &&
      //   theme.palette.getContrastText(
      //     lighten(theme.palette.secondary.main, 0.6)
      //   ),
      // fontWeight: theme.typography.fontWeightBold,
      // opacity: 1,
    }
  },

  wrapper: {
    flexDirection: 'row',
    zIndex: 999999
  },
  labelIcon: {
    minHeight: 45
  }
  // selected: {
  //   color: "white",
  //   display: "none",
  // },
}))

export const FluentSimpleTab = (props) => {
  const { value, onChange, label, icon, className } = props
  const classes = useStyles(props)

  return (
    <Tab
      icon={icon && <div style={{ paddingRight: 10 }}>{icon}</div>}
      value={value}
      onChange={onChange}
      label={label}
      className={className}
      classes={{
        root: classes.root,
        wrapper: classes.wrapper,
        labelIcon: classes.labelIcon,
        selected: classes.selected
      }}
    />
  )
}
