import React from 'react'
import { makeStyles, lighten } from '@material-ui/core'
import Tabs from '@material-ui/core/Tabs'

const useStyles = makeStyles((theme) => ({
  indicator: {
    backgroundColor: lighten(theme.palette.primary.main, 0.5),

    top: (props) => (props.block ? 0 : 45),
    height: (props) => props.block && 100
    // zIndex: (props) => props.block && -1,
  }
}))

export const FluentSimpleTabs = (props) => {
  const { value, onChange, children, ariaLabel } = props

  const classes = useStyles(props)

  return (
    <Tabs
      value={value}
      onChange={onChange}
      aria-label={ariaLabel}
      classes={{
        indicator: classes.indicator
      }}
    >
      {children}
    </Tabs>
  )
}
