import { makeStyles, Typography } from '@material-ui/core';
import clsx from 'clsx';
import React, { forwardRef } from 'react';

const useStyles = makeStyles(theme => ({
  root: {
    minHeight: 40,
    paddingLeft: theme.spacing(2),
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    borderBottom: `1px solid ${theme.palette.divider}`,
  },
  title: {
    flexGrow: 1,
  },
}));

const FUICardHeader = (props, ref) => {
  const classes = useStyles(props);
  const { className, children, headerActions, titleId, ...other } = props;

  return (
    <div ref={ref} {...other} className={clsx(className, classes.root)}>
      <Typography id={titleId} className={classes.title}>
        {children}
      </Typography>
      {headerActions}
    </div>
  );
};

export default forwardRef(FUICardHeader);
