import React, { forwardRef } from 'react'

import { makeStyles, Card } from '@material-ui/core'

const useStyles = makeStyles(
  {
    root: {}
  },
  { name: 'FluentCard' }
)

/**
 * A variant of <Card> that uses a square Fluent UI card style
 */
export const FluentCard = forwardRef((props, ref) => {
  const classes = useStyles(props)
  const { children, ...other } = props

  return (
    <Card ref={ref} square {...other} classes={classes}>
      {children}
    </Card>
  )
})
//FluentCard.displayName = 'FluentCard'
