import React from 'react';
import { forwardRef } from 'react';
import { makeStyles, CardActions } from '@material-ui/core';

const useStyles = makeStyles(
  {
    root: {},
    spacing: {},
  },
  { name: 'FluentCardActions' }
);

/**
 * A variant of <CardActions> that uses a Fluent UI card style
 */
export const FluentCardActions = forwardRef((props, ref) => {
  const classes = useStyles(props);
  const { children, ...other } = props;

  return (
    <CardActions ref={ref} {...other} classes={classes}>
      {children}
    </CardActions>
  );
});
FluentCardActions.displayName = 'FluentCardActions';
