import React from 'react';
import { forwardRef } from 'react';
import { makeStyles, CardContent } from '@material-ui/core';

const useStyles = makeStyles(
  {
    root: {},
  },
  { name: 'FluentCardContent' }
);

/**
 * A variant of <CardContent> that uses a Fluent UI card style
 */
export const FluentCardContent = forwardRef((props, ref) => {
  const classes = useStyles(props);
  const { children, ...other } = props;

  return (
    <CardContent ref={ref} {...other} classes={classes}>
      {children}
    </CardContent>
  );
});
FluentCardContent.displayName = 'FluentCardContent';
