import React from 'react';
import { forwardRef } from 'react';
import { makeStyles, CardHeader } from '@material-ui/core';

const useStyles = makeStyles(
  {
    root: {},
    avatar: {},
    action: {},
    content: {},
    title: {},
    subheader: {},
  },
  { name: 'FluentCardHeader' }
);

/**
 * A variant of <CardHeader> that uses a Fluent UI card style
 */
export const FluentCardHeader = forwardRef((props, ref) => {
  const classes = useStyles(props);
  const { children, ...other } = props;

  return (
    <CardHeader ref={ref} {...other} classes={classes}>
      {children}
    </CardHeader>
  );
});
FluentCardHeader.displayName = 'FluentCardHeader';
