import clsx from 'clsx'
import { makeStyles, Container } from '@material-ui/core'
import React from 'react'

const useStyles = makeStyles(
  (theme) => ({
    root: {
      flex: 1,
      display: 'flex',
      flexDirection: 'column'
    }
  }),
  { name: 'PageContent' }
)

/**
 * Page content wrapper that provides page gutters and container
 */
export const OpenPage = (props) => {
  const classes = useStyles(props)
  const {
    className,
    children,
    maxWidth = false,
    disableGutters = false,
    ...other
  } = props

  return (
    <Container
      {...other}
      classes={null}
      className={clsx(className, classes.root)}
      maxWidth={maxWidth}
      disableGutters={disableGutters}
    >
      {children}
    </Container>
  )
}
