import React from 'react'
import { makeStyles } from '@material-ui/core'
import {
  FluentSimpleTab,
  FluentSimpleTabs,
  StandardTitle
} from 'unity-fluent-library-demo'

function a11yProps(index) {
  return {
    id: `simple-tab-${index}`,
    'aria-controls': `simple-tabpanel-${index}`
  }
}

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    marginTop: 12
  },
  title: {
    margin: theme.spacing(2)
  },
  titleWrapper: {
    paddingLeft: theme.spacing(2)
  }
}))

export const UtilityTabHeader = ({
  handleChange,
  value,
  tabList,
  title = 'Page title'
}) => {
  const classes = useStyles()

  return (
    <div className={classes.root}>
      <div className={classes.titleWrapper}>
        <StandardTitle>{title}</StandardTitle>
      </div>

      <FluentSimpleTabs value={value} onChange={handleChange}>
        {tabList &&
          tabList.map((item, index) => {
            return (
              <FluentSimpleTab
                key={item.label}
                label={item.label}
                {...a11yProps(index)}
              />
            )
          })}
      </FluentSimpleTabs>
    </div>
  )
}
