import React, { useCallback } from 'react'
import ToggleButton from '@material-ui/lab/ToggleButton'
import ToggleButtonGroup from '@material-ui/lab/ToggleButtonGroup'
import { ChartIcon, NumberedListIcon } from '@fluentui/react-icons'
import { FluentIcon } from '../../../utilities/FluentIcon'

const ChartSummaryToggle = (props) => {
  const { value, onChange } = props

  const change = useCallback((e, value) => onChange && onChange(value), [
    onChange
  ])

  return (
    <ToggleButtonGroup
      value={value}
      exclusive
      onChange={change}
      aria-label='chart summary mode toggle'
    >
      <ToggleButton
        name='chart-summary-mode'
        value='summary'
        aria-label='summary'
      >
        <FluentIcon component={NumberedListIcon} />
      </ToggleButton>
      <ToggleButton name='chart-summary-mode' value='chart' aria-label='chart'>
        <FluentIcon component={ChartIcon} />
      </ToggleButton>
    </ToggleButtonGroup>
  )
}

export default ChartSummaryToggle
