import React, { forwardRef } from 'react'
import {
  MenuItem,
  ListItemIcon,
  ListItemText,
  makeStyles
} from '@material-ui/core'
import { FluentIcon } from '../../../utilities/FluentIcon'

const useStyles = makeStyles(
  {
    listItemIcon: {
      minWidth: 32
    }
  },
  { name: 'FUIMenuItem' }
)

/**
 * <MenuItem> with icon support
 */
const FUIMenuItem = (props, ref) => {
  const classes = useStyles()
  const { icon, fluentIcon, primary, secondary, ...menuItemProps } = props

  return (
    <MenuItem ref={ref} dense {...menuItemProps}>
      <ListItemIcon className={classes.listItemIcon}>
        {icon || <FluentIcon component={fluentIcon} />}
      </ListItemIcon>
      <ListItemText {...{ primary, secondary }} />
    </MenuItem>
  )
}

export default forwardRef(FUIMenuItem)
