import React from 'react'
import { makeStyles } from '@material-ui/core/styles'
import Table from '@material-ui/core/Table'
import TableBody from '@material-ui/core/TableBody'
import TableCell from '@material-ui/core/TableCell'
import TableContainer from '@material-ui/core/TableContainer'
import TableHead from '@material-ui/core/TableHead'
import TableRow from '@material-ui/core/TableRow'

const useStyles = makeStyles({
  table: {
    minWidth: 350
  }
})

let SimpleTable = (props) => {
  const { columns, rows } = props
  const classes = useStyles()

  return (
    <TableContainer>
      <Table className={classes.table} aria-label='simple table' size='small'>
        <TableHead>
          <TableRow>
            {columns.map((column) => (
              <TableCell>{column}</TableCell>
            ))}
          </TableRow>
        </TableHead>
        <TableBody>
          {rows.map((row) => (
            <TableRow key={row.name}>
              {row.rowValues.map((rowValue) => (
                <TableCell>{rowValue}</TableCell>
              ))}
            </TableRow>
          ))}
        </TableBody>
      </Table>
    </TableContainer>
  )
}
export default SimpleTable
