import React from 'react';
import { makeStyles, colors } from '@material-ui/core';
import DownArrow from '@material-ui/icons/ArrowDownward';
import UpArrow from '@material-ui/icons/ArrowUpward';

const useStyles = makeStyles(theme => ({
  root: {},
  DownArrow: {
    color: colors.red[500],
    fontSize: 16,
  },
  UpArrow: {
    color: colors.green[500],
    fontSize: 16,
  },
}));

const FluentTrendArrow = props => {
  const { type } = props;
  const classes = useStyles();

  let trend = '';

  switch (type) {
    case 'up':
      trend = <UpArrow className={classes.UpArrow} />;
      break;
    case 'down':
      trend = <DownArrow className={classes.DownArrow} />;
      break;
    default:
  }

  return trend;
};
export default FluentTrendArrow;
