import React from 'react';
import { makeStyles } from '@material-ui/core';
import FluentStatNumbers from './FluentStatNumber';

const useStyles = makeStyles(
  theme => ({
    displayRow: {
      display: 'flex',
      flexDirection: 'row',
    },
    smallDisplay: {
      marginTop: theme.spacing(6),
      marginLeft: theme.spacing(3),
    },
    divider: {
      height: theme.spacing(6),
      marginTop: theme.spacing(6.5),
      marginLeft: theme.spacing(2),
    },
  }),
  { next: 'FluentPrimaryStatNumber' }
);

const FluentPrimaryStatNumber = props => {
  const classes = useStyles();

  const { mainStat, mainLabel } = props;

  return (
    <div className={classes.displayRow}>
      <FluentStatNumbers label={mainLabel} number={mainStat} />
    </div>
  );
};

export default FluentPrimaryStatNumber;
