import React from 'react';
import { makeStyles } from '@material-ui/core';
import FluentStatNumber from './FluentStatNumber';

const useStyles = makeStyles(theme => ({
  displayRow: {
    display: 'flex',
    flexDirection: 'row',
  },
  // smallDisplay: {
  //   marginTop: theme.spacing(6),
  // },
  divider: {
    height: theme.spacing(6),
    marginTop: theme.spacing(6.5),
    marginLeft: theme.spacing(1),
  },
}));

const FluentSecondaryStatNumber = props => {
  const classes = useStyles();

  const { secondaryStat, secondaryLabel, trend } = props;

  return (
    <div className={classes.displayRow}>
      <div className={classes.smallDisplay}>
        <FluentStatNumber
          small
          trend={trend}
          label={secondaryLabel}
          number={secondaryStat}
        />
      </div>
    </div>
  );
};

export default FluentSecondaryStatNumber;
