import React, { forwardRef } from 'react'
import WidgetCard from '../WidgetCard'
import SimpleTable from '../FluentComponents/SimpleTable'

export const layout = {
  w: { default: 2, min: 0, max: 4 },
  h: { default: 2, min: 0, max: 4 }
}

const TableWidget = (props, ref) => {
  const { children, params, setParam, ...other } = props
  const { mockData, apiUrl, theme } = params

  return (
    <WidgetCard ref={ref} {...other} title={mockData?.title} theme={theme}>
      <SimpleTable columns={mockData?.columns} rows={data?.rows} />
      {children}
    </WidgetCard>
  )
}

export default forwardRef(TableWidget)
