import React, { Fragment } from 'react'
import { Avatar, colors, makeStyles } from '@material-ui/core'
import clsx from 'clsx'

const useStyles = makeStyles((theme) => ({
  root: {
    minWidth: 30,
    minHeight: 30,
    maxWidth: 70,
    maxHeight: 70,
    // color: theme.palette.getContrastText(theme.palette.primary.dark),
    color: theme.palette.primary.dark
  },
  positive: {
    backgroundColor: (props) =>
      colors.teal[Math.ceil((props.number * 5) / 100) * 100]
  },
  negative: {
    backgroundColor: (props) =>
      colors.deepOrange[Math.abs(Math.ceil((props.number * 5) / 100) * 100)]
  }
}))

const NumberVisualization = (props) => {
  const classes = useStyles(props)
  const { number } = props

  let displayCircle = ''

  if (number > 0) {
    displayCircle = (
      <Avatar
        className={clsx(classes.root, classes.positive)}
        style={{
          width: number * 2,
          height: number * 2
        }}
      >
        {number}
      </Avatar>
    )
  } else {
    displayCircle = (
      <Avatar
        className={clsx(classes.root, classes.negative)}
        style={{
          width: number * 2,
          height: number * 2
        }}
      >
        {number}
      </Avatar>
    )
  }

  return <Fragment> {displayCircle} </Fragment>
}
export default NumberVisualization
