import React, { Children } from 'react'
import { useTheme } from '@material-ui/core'
import { GridUnit } from '../Layout/GridUnit'
import { GridRow } from '../Layout/GridRow'
import { getRatio } from '../Layout/getRatio'

export const GridGroup = ({
  col1,
  col2,
  col3,
  col4,
  col5,
  col6,
  ratio,
  highlight
}) => {
  const theme = useTheme()

  const cnt = Children.toArray(col1).length
  const cnt2 = Children.toArray(col2).length
  const cnt3 = Children.toArray(col3).length
  const cnt4 = Children.toArray(col4).length
  const cnt5 = Children.toArray(col5).length
  const cnt6 = Children.toArray(col6).length

  const number = cnt + cnt2 + cnt3 + cnt4 + cnt5 + cnt6
  const width = theme.spacing(154) / number / 8

  const ratioArr = getRatio(ratio)
  const staticDisplay = (
    <GridRow highlight={highlight}>
      {number >= 1 && (
        <GridUnit
          width={theme.spacing(width)}
          columnPadding={8 * number - 8}
          r1={ratioArr[0]}
          r2={ratioArr[1]}
        >
          {col1}
        </GridUnit>
      )}

      {number >= 2 && (
        <GridUnit
          width={theme.spacing(width)}
          columnPadding={8 * number - 8}
          r1={ratioArr[0]}
          r2={ratioArr[1]}
        >
          {col2}
        </GridUnit>
      )}
      {number >= 3 && (
        <GridUnit
          width={theme.spacing(width)}
          columnPadding={8 * number - 8}
          r1={ratioArr[0]}
          r2={ratioArr[1]}
        >
          {col3}
        </GridUnit>
      )}
      {number >= 4 && (
        <GridUnit
          width={theme.spacing(width)}
          columnPadding={8 * number - 8}
          r1={ratioArr[0]}
          r2={ratioArr[1]}
        >
          {col4}
        </GridUnit>
      )}
      {number >= 5 && (
        <GridUnit
          width={theme.spacing(width)}
          columnPadding={8 * number - 8}
          r1={ratioArr[0]}
          r2={ratioArr[1]}
        >
          {col5}
        </GridUnit>
      )}
      {number >= 6 && (
        <GridUnit
          width={theme.spacing(width)}
          columnPadding={8 * number - 8}
          r1={ratioArr[0]}
          r2={ratioArr[1]}
        >
          {col6}
        </GridUnit>
      )}
    </GridRow>
  )

  return <div> {staticDisplay} </div>
}
