import React, { Children, useEffect, useState } from 'react'
import { makeStyles, lighten } from '@material-ui/core'
import clsx from 'clsx'

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    background: (highlight) => highlight === true && lighten('#40c4ff', 0.9)
  }
}))

export const GridRow = ({ children, highlight, className }) => {
  const classes = useStyles(highlight)
  const [childCount, setChildCount] = useState()

  useEffect(() => {
    const count = Children.count(children)
    setChildCount(count)
  }, [childCount, children])

  return <div className={clsx(classes.root, className)}>{children}</div>
}
