import React from 'react'
import { makeStyles, Badge } from '@material-ui/core'
import clsx from 'clsx'

const useStyles = makeStyles((theme) => ({
  highlight: {
    background: 'pink',
    opacity: (props) => (props.highlight ? 0.2 : 0)
  },
  xxs: {
    height: theme.spacing(2)
  },
  xs: {
    height: theme.spacing(3)
  },
  sm: {
    height: theme.spacing(4)
  },
  md: {
    height: theme.spacing(5)
  },
  lg: {
    height: theme.spacing(8)
  },
  xl: {
    height: theme.spacing(12)
  },
  xxl: {
    height: theme.spacing(20)
  }
}))

export const LayoutUnit = (props) => {
  const classes = useStyles(props)

  let spaceUnit = ''
  const { unit, highlight } = props

  switch (unit) {
    case 'xxs':
      spaceUnit = (
        <div className={clsx(classes.xxs, classes.highlight)}>
          {highlight && <Badge color='secondary' badgeContent='XXS' />}
        </div>
      )
      break
    case 'xs':
      spaceUnit = (
        <div className={clsx(classes.xs, classes.highlight)}>
          {highlight && <Badge color='secondary' badgeContent='XS' />}{' '}
        </div>
      )
      break
    case 'sm':
      spaceUnit = (
        <div className={clsx(classes.sm, classes.highlight)}>
          {' '}
          {highlight && <Badge color='secondary' badgeContent='SM' />}{' '}
        </div>
      )
      break
    case 'md':
      spaceUnit = (
        <div className={clsx(classes.md, classes.highlight)}>
          {' '}
          {highlight && <Badge color='secondary' badgeContent='MD' />}{' '}
        </div>
      )
      break
    case 'lg':
      spaceUnit = (
        <div className={clsx(classes.lg, classes.highlight)}>
          {' '}
          {highlight && <Badge color='secondary' badgeContent='LG' />}{' '}
        </div>
      )
      break
    case 'xl':
      spaceUnit = (
        <div className={clsx(classes.xl, classes.highlight)}>
          {' '}
          {highlight && <Badge color='secondary' badgeContent='XL' />}{' '}
        </div>
      )
      break
    case 'xxl':
      spaceUnit = (
        <div className={clsx(classes.xxl, classes.highlight)}>
          {' '}
          {highlight && <Badge color='secondary' badgeContent='XXL' />}{' '}
        </div>
      )
      break
    default:
  }

  return spaceUnit
}
