import React, { useState } from 'react'
import { InputAdornment } from '@material-ui/core'
import { SearchIcon } from '@fluentui/react-icons'
import { FluentTextField } from 'unity-fluent-library-demo'

export const FreeFormField = (props) => {
  const [text, setText] = useState('')
  return (
    <FluentTextField
      variant='outlined'
      size='small'
      name='map search'
      // helperText="Search by address"  @todo - needs a fix in fluent textField
      aria-describedby='search-by-address'
      value={text}
      fullWidth
      InputProps={{
        startAdornment: (
          <InputAdornment position='start'>
            <SearchIcon />
          </InputAdornment>
        )
      }}
      onChange={(event) => {
        setText(event.target.value)
        props.didUpdateText(event.target.value)
      }}
    />
  )
}
