import React from 'react'
import { makeStyles, Divider } from '@material-ui/core'
import { FluentIconButton } from '../../UI/inputs/buttons/FluentIconButton'
import {
  ZoomInIcon,
  ZoomOutIcon,
  ZoomToFitIcon,
  ZoomIcon
} from '@fluentui/react-icons'
import FluentInputSlider from '../../UI/inputs/sliders/FluentInputSlider'

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    flexDirection: 'row'
  },
  divider: {
    marginRight: theme.spacing(2),
    marginLeft: theme.spacing(2)
  }
}))

const ControlZoom = (props) => {
  const {
    zoomIn,
    zoomOut,
    value,
    handleSliderChange,
    handleInputChange,
    handleBlur,
    reset
  } = props
  const classes = useStyles()
  return (
    <div className={classes.root}>
      <div>
        <FluentIconButton onClick={zoomIn} color='primary' icon={ZoomInIcon} />
        <FluentIconButton
          onClick={zoomOut}
          color='primary'
          icon={ZoomOutIcon}
        />
      </div>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
      <div>
        <FluentInputSlider
          value={value}
          handleSliderChange={handleSliderChange}
          handleInputChange={handleInputChange}
          handleBlur={handleBlur}
          input
          icon={ZoomIcon}
        />
      </div>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
      <div>
        <FluentIconButton
          onClick={reset}
          color='primary'
          icon={ZoomToFitIcon}
        />
      </div>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
    </div>
  )
}
export default ControlZoom
