import React, { Fragment } from 'react'
import {
  FormGroup,
  FormControlLabel,
  Switch,
  Divider,
  makeStyles
} from '@material-ui/core'
import { FluentIconButton } from '../../UI/inputs/buttons/FluentIconButton'
import { MapPinIcon } from '@fluentui/react-icons'

const useStyles = makeStyles((theme) => ({
  divider: {
    marginRight: theme.spacing(2),
    marginLeft: theme.spacing(2)
  }
}))

const Filter = (props) => {
  const { showLayer1, setShowLayer1, getLocation } = props

  const classes = useStyles()

  return (
    <Fragment>
      <FormGroup row>
        <FormControlLabel
          control={
            <Switch
              checked={showLayer1}
              onChange={(event) => setShowLayer1(event.target.checked)}
              name='filter1'
            />
          }
          label='Filter'
        />
        {/* <FormControlLabel
          control={
            <Switch
              checked={showLayer2}
              onChange={event => setShowLayer2(event.target.checked)}
              name="filter2"
              color="primary"
            />
          }
          label="Filter 2"
        /> */}
      </FormGroup>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
      <div>
        <FluentIconButton
          onClick={getLocation}
          color='primary'
          icon={MapPinIcon}
        />
      </div>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
    </Fragment>
  )
}
export default Filter
