import React from 'react'
import ControlZoom from './ControlZoom'
import { makeStyles, Divider } from '@material-ui/core'
import FilterOptions from './FilterOptions'

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    flexDirection: 'row'
  },
  filter: {
    display: 'flex',
    flex: 1
  },
  divider: {
    marginRight: theme.spacing(2),
    marginLeft: theme.spacing(2)
  }
}))

export const MapFilterBar = (props) => {
  const classes = useStyles()

  const {
    showAlert,
    toggleDisplayMarkers,
    value,
    setZoom,
    handleSliderChange,
    handleInputChange,
    handleBlur,
    zoomIn,
    zoomOut,
    reset,
    showHome
  } = props

  return (
    <div className={classes.root}>
      <div className={classes.filter}>
        <FilterOptions
          showAlert={showAlert}
          showHome={showHome}
          toggleDisplayMarkers={toggleDisplayMarkers}
        />
      </div>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>

      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
      <div>
        <ControlZoom
          zoomIn={zoomIn}
          zoomOut={zoomOut}
          value={value}
          setValue={setZoom}
          handleSliderChange={handleSliderChange}
          handleInputChange={handleInputChange}
          handleBlur={handleBlur}
          reset={reset}
        />
      </div>
    </div>
  )
}
