import React from 'react'
import { Divider, makeStyles, Tooltip } from '@material-ui/core'
import { FluentIconButton } from '../../../UI/inputs/buttons/FluentIconButton'
import { MapPinIcon } from '@fluentui/react-icons'

const useStyles = makeStyles((theme) => ({
  divider: {
    marginRight: theme.spacing(2),
    marginLeft: theme.spacing(2)
  }
}))

const LocationPin = (props) => {
  const { getLocation, location, tooltip } = props

  const classes = useStyles()

  return (
    <div>
      <div className={classes.divider}>
        <Divider orientation='vertical' />
      </div>
      <Tooltip arrow title={tooltip}>
        <FluentIconButton
          onClick={() => getLocation(location)}
          color='primary'
          icon={MapPinIcon}
        />
      </Tooltip>
    </div>
  )
}
export default LocationPin
