import React from 'react'
import {
  makeStyles,
  FormControl,
  Input,
  InputAdornment
} from '@material-ui/core'
import clsx from 'clsx'
import { FluentIconButton } from '../../../UI/inputs/buttons/FluentIconButton'
import { POIIcon } from '@fluentui/react-icons'

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    flexDirection: 'row'
  },
  lat: {
    marginRight: theme.spacing(2)
  }
}))

const Position = (props) => {
  const classes = useStyles()
  const { changeLat, changeLong, value, setPosition } = props

  return (
    <div className={classes.root}>
      <div className={classes.lat}>
        <FormControl
          className={clsx(
            classes.margin,
            classes.withoutLabel,
            classes.textField
          )}
        >
          <Input
            id='longitude'
            value={value}
            onChange={changeLong}
            endAdornment={<InputAdornment position='end'>Long</InputAdornment>}
            aria-describedby='longitude-input'
            inputProps={{
              'aria-label': 'longitude-input'
            }}
          />
        </FormControl>
      </div>
      <div>
        <FormControl
          className={clsx(
            classes.margin,
            classes.withoutLabel,
            classes.textField
          )}
        >
          <Input
            id='latitude'
            value={value}
            onChange={changeLat}
            endAdornment={<InputAdornment position='end'>Lat</InputAdornment>}
            aria-describedby='latitude-input'
            inputProps={{
              'aria-label': 'latitude-input'
            }}
          />
        </FormControl>
      </div>
      <div>
        <FluentIconButton
          onClick={setPosition}
          color='primary'
          icon={POIIcon}
        />
      </div>
    </div>
  )
}
export default Position
