import React from 'react';
import Grid from '@material-ui/core/Grid';
import ToggleButton from '@material-ui/lab/ToggleButton';
import ToggleButtonGroup from '@material-ui/lab/ToggleButtonGroup';
import {
  ClearNightIcon,
  GlobeIcon,
  Nav2DMapViewIcon,
  BorderDashIcon,
} from '@fluentui/react-icons';

const ToggleViewType = props => {
  const { displayType, handleChange } = props;

  // const [type, setType] = useState('none');

  // const handleChange = (event, newType) => {
  //   setType(newType);
  // };

  return (
    <Grid container spacing={2} direction="column" alignItems="center">
      <Grid item>
        <ToggleButtonGroup
          value={displayType}
          exclusive
          onChange={handleChange}
        >
          <ToggleButton value="CanvasDark">
            <ClearNightIcon />
          </ToggleButton>
          <ToggleButton value="Aerial">
            <GlobeIcon />
          </ToggleButton>
          <ToggleButton value="RoadOnDemand">
            <Nav2DMapViewIcon />
          </ToggleButton>
          <ToggleButton value="">
            <BorderDashIcon />
          </ToggleButton>
        </ToggleButtonGroup>
      </Grid>
    </Grid>
  );
};
export default ToggleViewType;
