import React from 'react'
import {
  ListItem,
  ListItemIcon,
  ListItemText,
  makeStyles
} from '@material-ui/core'
import clsx from 'clsx'
import { Link } from 'react-router-dom'
// import { Link,  useResolvedPath } from 'react-router-dom';

const useStyles = makeStyles(
  (theme) => ({
    root: {
      backgroundColor: 'transparent',
      color: theme?.palette?.primary?.contrastText,
      // ...theme.mixins.toolbar,
      '& .MuiListItemIcon-root': {
        color: 'inherit'
      }
    },
    active: {
      color: theme.palette.secondary.main
    }
  }),
  { name: 'SidebarListItem' }
)

/**
 * Styled list itme for sidebar navigation
 */
const SidebarListItem = (props) => {
  const classes = useStyles(props)
  const { icon, primary, to, href, onClick, className, ...other } = props

  // const path = useResolvedPath(to ?? '');
  // const match = useMatch({ path: path.pathname });
  const match = null

  const component = to ? Link : href ? 'a' : undefined
  const button = !!(to || href || onClick)

  const active = !!(to && match)

  return (
    <ListItem
      component={component}
      button={button}
      to={to}
      href={href}
      onClick={onClick}
      className={clsx(className, classes.root, { [classes.active]: active })}
      {...other}
    >
      <ListItemIcon>{icon}</ListItemIcon>
      <ListItemText primary={primary} />
    </ListItem>
  )
}

export default SidebarListItem
